%define name xmms-crossfade
%define version 0.2.6
%define release 1mdk


Name:          %name
Summary:       Crossfade output plugin for XMMS
Version:       %version
Release:       %release
Group:         Sound
License:       GPL
BuildRequires: xmms libxmms1-devel
Requires:      xmms
Source:        %name-%version.tar.bz2
BuildRoot:     %_tmppath/%name-buildroot
Prefix:        %_prefix

%description
xmms-crossfade: XMMS Output Plugin for Crossfading / Continuous Output
----------------------------------------------------------------------

Features:
---------
  * Crossfading
  * Continuous output
  * Gap-Killer: Some mp3-encoders produce small gaps of silence at the
    beginning or end of the stream. They can automatically be detected
    and removed.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build

%configure 

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall libdir=$RPM_BUILD_ROOT%{_libdir}/xmms/Output

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS README TODO ChangeLog COPYING
%{_libdir}/xmms/Output/libcrossfade.*

%changelog
* Tue Mar 27 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.2.6-1mdk
- updated by Gtz Waschk <waschk@linux-mandrake.com> :
	- 0.2.6

* Tue Mar 20 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.2.5-1mdk
- updated by Gtz Waschk <waschk@linux-mandrake.com> :
	- 0.2.5

* Tue Mar 13 2001 Gtz Waschk <waschk@linux-mandrake.com> 0.2.4-1mdk
- 0.2.4

* Mon Jan 15 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.2.3-1mdk
- used srpm from  Gtz Waschk <waschk@linux-mandrake.com> :
	- 0.2.3
	- %%configure macro

* Mon Dec 04 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.2.2-1mdk
- updated to 0.2.2 by Gtz Waschk <waschk@linux-mandrake.com> 

* Wed Nov 29 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.2.1-1mdk
- used srpm from Gtz Waschk <waschk@linux-mandrake.com> :
	- 0.2.1
	- changed BuildReq for libxmms-devel

* Mon Nov 20 2000 Gtz Waschk <waschk@linux-mandrake.com> 0.2-1mdk
- 0.2
- don't use configure macro
- fix installation

* Tue Oct  3 2000 Gtz Waschk <waschk@linux-mandrake.com> 0.1.1-1mdk
- initial Mandrake build



